#!/bin/bash

# Uninstall unnecessary packages
apt-get purge bsdmainutils dictionaries-common emacsen-common gnupg gnupg-agent iamerican ibritish ienglish-common installation-report ispell laptop-detect libgnutls30 libhogweed4 libsqlite3-0 libssl1.1 nano os-prober pinentry-curses task-english tasksel tasksel-data wamerican wget

# Install basic services and dependencies
apt-get --no-install-recommends install openssh-server plymouth

# Rename encrypted partition
sed -i 's/sda2_crypt/system/' /etc/crypttab
dmsetup rename sda2_crypt system
update-initramfs -u

# Set grub options
cp basic/etc/default/grub /etc/default/grub
update-grub

# Set legal banner + URL
cp basic/etc/default/console-setup /etc/default/console-setup
cp basic/etc/issue /etc/issue